This project has moved. For the latest updates, please go here.

Ogama 4.5 with Eye Tech VT-2 Eye-tracker

May 4, 2015 at 3:22 PM
Edited May 4, 2015 at 5:11 PM
I've been trying for over a day now to get Ogama to recognize the VT-2 eye tracker. Each time I launch I try and run a new recording module, I am unable to select Eye Tech. It always has the message
"Quick Glance application now found in registry. Eye Tech tracker will now work. Please install the Quick glance application."
I have Quick Glance on my computer, and it's running. I'm able to interface with it using other software.

Things I've tried:
  • Installing different versions of the EyeTech's QuickLink SDK
  • Replacing the dll of the QuickLinkAPI in OGAMA with the QuickLinkAP.dll of the version currently installed (and vice-versa)
  • I've manually added QuickGlance to my "App Paths" in my registry (trying "QuickGlance.exe" and "Quick Glance.exe" as keys)
  • Installing different version of QuickGLANCE, and using the 32 and 64 bit versions
Anyone have any ideas? Perhaps the version of Quick Glance I have is wrong or something?
May 6, 2015 at 1:36 PM
Investigated a bit.
  • Checking the source code it would seem that it looks in the registry to see if quick glance is installed. The source says it checks HKLM\Software\EyeTech Digital Systems\Quick Glance
  • Installed Process Monitor and watched which registry the latest installer (Ogama 4.5) tried to access, and it instead looks in HKLM\Software\Wow6432Node\EyeTech Digital Systems\Quick Glance
I tried copying the register to that location so that it can find the executable and library information, and I get the follow error when I try and select a recording device:
Image

I've triple checked the paths, and the information is there and correct. I don't know what to take from this.
Coordinator
May 15, 2015 at 5:44 PM
The EyeTech Module was written with an x86 Version of the QuickLink dlls and the installer only installs in the 32 bit installer of ogama. In 64 bit mode it will definetely fail. It was written by the Company http://www.validators.nl/. You could try to request some Information there on how to update the module to accept the VT-2 tracking device. I am of no help.
To have better Debugging you should install visual Studio to get the code Location where the Connection Fails.

Adrian
Coordinator
May 16, 2015 at 5:43 AM
You have to use this Project:
https://code.google.com/p/quicklinkapi4net/
and update the Ogama.Modules.Recording.EyeTechInterface section of the source code according to the samples given there.
This will be straightforward, but I cannot do it for you because I have no eyetech device...
Adrian
Dec 5, 2015 at 6:28 PM
@DI_ZachLHelms: I am facing the similar problem. Were you able to fix it?
Dec 7, 2015 at 2:35 PM
@idrisj Sorry, no. Given the issue we were running into trying to use OGAMA, we decided it was too much of a risk. I would try what AVosskuehler suggested.
Jan 10, 2016 at 7:14 PM